2024-06-17 18:59 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003022BaseJumpers[All Projects] Generalpublic2016-06-26 07:31
Reporterretrogamer 
Assigned ToJOTDProject InfoBase Jumpers (Rasputin)
http://www.whdload.de/games/BaseJumpers.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003022: Is it possible to remove the 68020+ dependent code to make the game 68000
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

Is it possible to remove the 68020+ dependent code to make the game 68000 copitable and make so quitkey works fΓΆr 68000 cpus?
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad17.2
importedyes
Attached Files
  • ? file icon .whdl_register (2,990 bytes) 2015-04-11 14:37 -
    ************************* 28-Jan-11 18:22:07 ************************18.0.5614***
    Slave='KrustysSuperFunHouse.Slave' (692 bytes)
    ShadowMem   3455C0 -   37A5C0 ( 217088) AbsolutMem    35000 -    80000 ( 307200)
    Resload     33AEE0 -   341564 (  26244) at 33AEE0  GL=$2D7BB0
    Slave       231220 -   2314B0 (    656) at 231220  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=20421 cs=1851 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($F00C) PC = $2313D4 (Slave $1B4) Read from $1C801
    
    $00231398 bsr.b        $2313ce
    $0023139a movem.l      (a7)+,d0-d1/a0-a1              ;$0007ffde
    $0023139e bsr.w        $231438
    $002313a2 move.l       ($231482,pc),d0
    $002313a6 tst.l        d0
    $002313a8 beq.b        $2313ca
    $002313aa move.w       #$4e75,($21128)
    $002313b2 move.w       #$4e75,($210d8)
    $002313ba move.w       #$6004,($1f674)
    $002313c2 move.w       #$4e75,($2108c)
    $002313ca jmp          ($5000).w
    $002313ce cmpa.l       a0,a1
    $002313d0 beq.b        $2313de
    $002313d2 cmp.l        (a0),d0                        ;$0001c801
    ›1m$002313d4 beq.b        $2313da
    ›22m$002313d6 addq.l       #1,a0
    $002313d8 bra.b        $2313ce
    $002313da move.l       d1,(a0)                        ;$0001c801
    $002313dc bra.b        $2313ce
    $002313de rts
    $002313e0 move.w       d2,($58,a6)                    ;$00dff058
    $002313e4 bra.b        $2313f4
    $002313e6 move.w       #$f014,($58,a6)                ;$00dff058
    $002313ec bra.b        $2313f4
    $002313ee move.w       #$7314,($58,a6)                ;$00dff058
    $002313f4 tst.b        ($dff002)
    $002313fa tst.b        ($bfe001)
    $00231400 tst.b        ($bfe001)
    $00231406 btst         #6,($dff002)
    
    exception stackframe:
    $0007FFDE 00150001 C801B090 20000023 13D4
    regular stack:
    $0007FFEC 0023139A 00000000 000003DA 00004FE0 0007C844
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx 3D420058  4EB80100       1BF         0  D4D4D4D4  D5D5D5D5  D6D6D6D6  D7D7D7D7
    Ax    1C801     1E000    33AEE0  A3A3A3A3  A4A4A4A4  A5A5A5A5    DFF000
    
                     TTSM III   XNZVC
    PC=  2313D4›22m  SR %0010000000000000  USP=7FC00  ›1mSSP=7FFDE
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0000000000000000›22m dmacon=%›1m0010001010000000 adkcon=$1100
    intreq=%0010000000100000
    vposr....A000  vhposr...04CB  joy0dat..0202  joy1dat..0000  clxdat...81FE  
    pot0dat..7800  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...006C  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00001000  ta= 2CC< 2CC
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m00000111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000113  icr=00  sdr=00    event=01503B  icr=85  sdr=00
    
    ? file icon .whdl_register (2,990 bytes) 2015-04-11 14:37 +

-Relationships
+Relationships

-Notes

note ~0004514

retrogamer (reporter)

Last edited: 2015-04-11 14:37

View 2 revisions

The game does'nt still work on 68000.

I have attached a Whdload dumb

note ~0005012

JOTD (developer)

ECS version now uses kick1.3 and works on 68000
+Notes

-Issue History
Date Modified Username Field Change
2014-06-01 20:26 administrator New Issue
2014-06-01 20:26 administrator Status new => assigned
2014-06-01 20:26 administrator Assigned To => JOTD
2014-07-12 22:32 JOTD Status assigned => closed
2014-07-12 22:32 JOTD Resolution open => fixed
2015-04-11 14:36 retrogamer Note Added: 0004514
2015-04-11 14:36 retrogamer Status closed => feedback
2015-04-11 14:36 retrogamer Resolution fixed => reopened
2015-04-11 14:37 retrogamer Note Edited: 0004514 View Revisions
2015-04-11 14:37 retrogamer File Added: .whdl_register
2016-06-26 07:31 JOTD Note Added: 0005012
2016-06-26 07:31 JOTD Status feedback => closed
2016-06-26 07:31 JOTD Resolution reopened => fixed
+Issue History